//
//  AppDelegate.swift
//  SampleMotion
//
//  Created by Dmitry Stepanets on 05.07.2018.
//  Copyright © 2018 Dmitry Stepanets. All rights reserved.
//

import UIKit
import Material

@UIApplicationMain
class AppDelegate: UIResponder, UIApplicationDelegate {
    var window: UIWindow?
    
    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplicationLaunchOptionsKey: Any]?) -> Bool {
        
        self.window = UIWindow(frame: UIScreen.main.bounds)
        let rootController = ToolbarController(rootViewController: AppRootController())
        self.window?.rootViewController = NavigationDrawerController(rootViewController: rootController,
                                                                     leftViewController: SideViewController(),
                                                                     rightViewController: nil)
        self.window?.makeKeyAndVisible()
        
        return true
    }

}

